Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.recipe.services
Class ObjectFactory

    java.lang.Object
      be.recipe.services.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.recipe.services package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.recipe.services

Method Summary
`CreatePrescriptionParam` | `createCreatePrescriptionParam()` Create an instance of `CreatePrescriptionParam`
`CreatePrescriptionResult` | `createCreatePrescriptionResult()` Create an instance of `CreatePrescriptionResult`
`CreatePrescriptionUnsealed` | `createCreatePrescriptionUnsealed()` Create an instance of `CreatePrescriptionUnsealed`
`CreatePrescriptionUnsealedResponse` | `createCreatePrescriptionUnsealedResponse()` Create an instance of `CreatePrescriptionUnsealedResponse`
`Entry` | `createEntry()` Create an instance of `Entry`
`ErrorMap` | `createErrorMap()` Create an instance of `ErrorMap`
`GetListOpenPrescriptionParam` | `createGetListOpenPrescriptionParam()` Create an instance of `GetListOpenPrescriptionParam`
`GetListOpenPrescriptionResult` | `createGetListOpenPrescriptionResult()` Create an instance of `GetListOpenPrescriptionResult`
`GetPrescriptionForPrescriberParam` | `createGetPrescriptionForPrescriberParam()` Create an instance of `GetPrescriptionForPrescriberParam`
`GetPrescriptionForPrescriberResult` | `createGetPrescriptionForPrescriberResult()` Create an instance of `GetPrescriptionForPrescriberResult`
`GetPrescriptionForPrescriberUnsealed` | `createGetPrescriptionForPrescriberUnsealed()` Create an instance of `GetPrescriptionForPrescriberUnsealed`
`GetPrescriptionForPrescriberUnsealedResponse` | `createGetPrescriptionForPrescriberUnsealedResponse()` Create an instance of `GetPrescriptionForPrescriberUnsealedResponse`
`ListFeedbackItem` | `createListFeedbackItem()` Create an instance of `ListFeedbackItem`
`ListFeedbacksParam` | `createListFeedbacksParam()` Create an instance of `ListFeedbacksParam`
`ListFeedbacksResult` | `createListFeedbacksResult()` Create an instance of `ListFeedbacksResult`
`ListFeedbacksUnsealed` | `createListFeedbacksUnsealed()` Create an instance of `ListFeedbacksUnsealed`
`ListFeedbacksUnsealedResponse` | `createListFeedbacksUnsealedResponse()` Create an instance of `ListFeedbacksUnsealedResponse`
`ListOpenPrescriptionUnsealed` | `createListOpenPrescriptionUnsealed()` Create an instance of `ListOpenPrescriptionUnsealed`
`ListOpenPrescriptionUnsealedResponse` | `createListOpenPrescriptionUnsealedResponse()` Create an instance of `ListOpenPrescriptionUnsealedResponse`
`PartyIdentification` | `createPartyIdentification()` Create an instance of `PartyIdentification`
`JAXBElement<PartyIdentification>` | `createPartyIdentification(PartyIdentification value)` Create an instance of `JAXBElement``<``PartyIdentification``>`}
`RecipeError` | `createRecipeError()` Create an instance of `RecipeError`
`JAXBElement<RecipeExceptionDetails>` | `createRecipeException(RecipeExceptionDetails value)` Create an instance of `JAXBElement``<``RecipeExceptionDetails``>`}
`RecipeExceptionDetails` | `createRecipeExceptionDetails()` Create an instance of `RecipeExceptionDetails`
`JAXBElement<RecipeExceptionDetails>` | `createRecipeExceptionDetails(RecipeExceptionDetails value)` Create an instance of `JAXBElement``<``RecipeExceptionDetails``>`}
`RevokePrescriptionParam` | `createRevokePrescriptionParam()` Create an instance of `RevokePrescriptionParam`
`RevokePrescriptionUnsealed` | `createRevokePrescriptionUnsealed()` Create an instance of `RevokePrescriptionUnsealed`
`RevokePrescriptionUnsealedResponse` | `createRevokePrescriptionUnsealedResponse()` Create an instance of `RevokePrescriptionUnsealedResponse`
`SendNotificationParam` | `createSendNotificationParam()` Create an instance of `SendNotificationParam`
`SendNotificationUnsealed` | `createSendNotificationUnsealed()` Create an instance of `SendNotificationUnsealed`
`SendNotificationUnsealedResponse` | `createSendNotificationUnsealedResponse()` Create an instance of `SendNotificationUnsealedResponse`
`UpdateFeedbackFlagParam` | `createUpdateFeedbackFlagParam()` Create an instance of `UpdateFeedbackFlagParam`
`UpdateFeedbackFlagUnsealed` | `createUpdateFeedbackFlagUnsealed()` Create an instance of `UpdateFeedbackFlagUnsealed`
`UpdateFeedbackFlagUnsealedResponse` | `createUpdateFeedbackFlagUnsealedResponse()` Create an instance of `UpdateFeedbackFlagUnsealedResponse`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.recipe.services

Method Detail

### createGetPrescriptionForPrescriberUnsealed

    public GetPrescriptionForPrescriberUnsealed createGetPrescriptionForPrescriberUnsealed()

  Create an instance of `GetPrescriptionForPrescriberUnsealed`

### createGetPrescriptionForPrescriberParam

    public GetPrescriptionForPrescriberParam createGetPrescriptionForPrescriberParam()

  Create an instance of `GetPrescriptionForPrescriberParam`

### createListFeedbacksUnsealedResponse

    public ListFeedbacksUnsealedResponse createListFeedbacksUnsealedResponse()

  Create an instance of `ListFeedbacksUnsealedResponse`

### createListFeedbacksResult

    public ListFeedbacksResult createListFeedbacksResult()

  Create an instance of `ListFeedbacksResult`

### createRecipeError

    public RecipeError createRecipeError()

  Create an instance of `RecipeError`

### createGetPrescriptionForPrescriberUnsealedResponse

    public GetPrescriptionForPrescriberUnsealedResponse createGetPrescriptionForPrescriberUnsealedResponse()

  Create an instance of `GetPrescriptionForPrescriberUnsealedResponse`

### createGetPrescriptionForPrescriberResult

    public GetPrescriptionForPrescriberResult createGetPrescriptionForPrescriberResult()

  Create an instance of `GetPrescriptionForPrescriberResult`

### createUpdateFeedbackFlagUnsealedResponse

    public UpdateFeedbackFlagUnsealedResponse createUpdateFeedbackFlagUnsealedResponse()

  Create an instance of `UpdateFeedbackFlagUnsealedResponse`

### createSendNotificationUnsealed

    public SendNotificationUnsealed createSendNotificationUnsealed()

  Create an instance of `SendNotificationUnsealed`

### createSendNotificationParam

    public SendNotificationParam createSendNotificationParam()

  Create an instance of `SendNotificationParam`

### createRevokePrescriptionUnsealedResponse

    public RevokePrescriptionUnsealedResponse createRevokePrescriptionUnsealedResponse()

  Create an instance of `RevokePrescriptionUnsealedResponse`

### createPartyIdentification

    public PartyIdentification createPartyIdentification()

  Create an instance of `PartyIdentification`

### createRecipeExceptionDetails

    public RecipeExceptionDetails createRecipeExceptionDetails()

  Create an instance of `RecipeExceptionDetails`

### createListFeedbacksUnsealed

    public ListFeedbacksUnsealed createListFeedbacksUnsealed()

  Create an instance of `ListFeedbacksUnsealed`

### createListFeedbacksParam

    public ListFeedbacksParam createListFeedbacksParam()

  Create an instance of `ListFeedbacksParam`

### createSendNotificationUnsealedResponse

    public SendNotificationUnsealedResponse createSendNotificationUnsealedResponse()

  Create an instance of `SendNotificationUnsealedResponse`

### createListOpenPrescriptionUnsealedResponse

    public ListOpenPrescriptionUnsealedResponse createListOpenPrescriptionUnsealedResponse()

  Create an instance of `ListOpenPrescriptionUnsealedResponse`

### createGetListOpenPrescriptionResult

    public GetListOpenPrescriptionResult createGetListOpenPrescriptionResult()

  Create an instance of `GetListOpenPrescriptionResult`

### createCreatePrescriptionUnsealed

    public CreatePrescriptionUnsealed createCreatePrescriptionUnsealed()

  Create an instance of `CreatePrescriptionUnsealed`

### createCreatePrescriptionParam

    public CreatePrescriptionParam createCreatePrescriptionParam()

  Create an instance of `CreatePrescriptionParam`

### createListOpenPrescriptionUnsealed

    public ListOpenPrescriptionUnsealed createListOpenPrescriptionUnsealed()

  Create an instance of `ListOpenPrescriptionUnsealed`

### createGetListOpenPrescriptionParam

    public GetListOpenPrescriptionParam createGetListOpenPrescriptionParam()

  Create an instance of `GetListOpenPrescriptionParam`

### createRevokePrescriptionUnsealed

    public RevokePrescriptionUnsealed createRevokePrescriptionUnsealed()

  Create an instance of `RevokePrescriptionUnsealed`

### createRevokePrescriptionParam

    public RevokePrescriptionParam createRevokePrescriptionParam()

  Create an instance of `RevokePrescriptionParam`

### createCreatePrescriptionUnsealedResponse

    public CreatePrescriptionUnsealedResponse createCreatePrescriptionUnsealedResponse()

  Create an instance of `CreatePrescriptionUnsealedResponse`

### createCreatePrescriptionResult

    public CreatePrescriptionResult createCreatePrescriptionResult()

  Create an instance of `CreatePrescriptionResult`

### createUpdateFeedbackFlagUnsealed

    public UpdateFeedbackFlagUnsealed createUpdateFeedbackFlagUnsealed()

  Create an instance of `UpdateFeedbackFlagUnsealed`

### createUpdateFeedbackFlagParam

    public UpdateFeedbackFlagParam createUpdateFeedbackFlagParam()

  Create an instance of `UpdateFeedbackFlagParam`

### createListFeedbackItem

    public ListFeedbackItem createListFeedbackItem()

  Create an instance of `ListFeedbackItem`

### createErrorMap

    public ErrorMap createErrorMap()

  Create an instance of `ErrorMap`

### createEntry

    public Entry createEntry()

  Create an instance of `Entry`

### createPartyIdentification

    public JAXBElement<PartyIdentification> createPartyIdentification(PartyIdentification value)

  Create an instance of `JAXBElement``<``PartyIdentification``>`}

### createRecipeException

    public JAXBElement<RecipeExceptionDetails> createRecipeException(RecipeExceptionDetails value)

  Create an instance of `JAXBElement``<``RecipeExceptionDetails``>`}

### createRecipeExceptionDetails

    public JAXBElement<RecipeExceptionDetails> createRecipeExceptionDetails(RecipeExceptionDetails value)

  Create an instance of `JAXBElement``<``RecipeExceptionDetails``>`}

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.